---
title: 'Start Here.'
weight: 1
---

## Memri is a secure, powerful & extensible tool that allows you to import your personal data, train machine learning models on that data and deploy them into apps you can use. All in one platform.


The following page provides some information on:

1. [How to create your first data app with a step-by-step guide](/tutorials/build_a_sentiment_analysis_app/)
2. How to [import your data](/guides/import_your_data/), [create a labelled dataset](/guides/create_a_labeled_dataset/), [build and deploy your model](/guides/build_and_deploy_your_model/) and [add a user interface to your app](/guides/live_edit_your_ui/)
3. [How to set up the memri pod locally](/overview/quickStart/)
4. [How to get involved in our community and where to reach out if you need assistance or have a question](https://discord.com/invite/kRTcDtGUmr) 
5. [Report bugs](https://gitlab.memri.io/memri) and [requests](https://discord.com/invite/kRTcDtGUmr) 
<!-- <-- <div style="color: #7D8393; font-size: 17px;"> <img src="img/ico_arrow_purple.svg"> How to set up the <a href="overview/quickStart">memri pod</a>, <a href="guides/import_your_data">import your data</a>, <a href="guides/import_your_data">create a labelled dataset</a>, <a href="guides/build_and_deploy_your_model"> build a data app</a>, and <a href="guides/build_and_deploy_your_model">deploy it</a>. -->

 <!-- <div style="color: #7D8393; font-size: 17px;"> <img src="img/ico_arrow_purple.svg"> How to <a href="https://discord.com/invite/kRTcDtGUmr">get involved in our community</a> and where to <a href="https://discord.com/invite/kRTcDtGUmr">reach out if you need assistance</a> or <a href="https://discord.com/invite/kRTcDtGUmr">have a question</a>.
</div> -->
<!-- 
<div style="color: #7D8393; font-size: 17px;"> <img src="img/ico_arrow_purple.svg"> <a href="https://gitlab.memri.io/memri">Report bugs</a> and <a hreft="https://discord.com/invite/kRTcDtGUmr">requests</a>
</div> -->
<!-- 
</br>


<div style="color: #7D8393; font-size: 17px;">
Check out our <a href="overview/quickStart"> Quick start guide</a> for an quick overview.
</div> -->

<!-- </br>
</br> -->

<!-- {{< columns >}}

<p style="letter-spacing: 0.15em;">PROTOTYPE ML QUICKLY</p>

[Importing data](guides/import_your_data/)

[Creating a labeled dataset](guides/create_a_labeled_dataset/)

[Training the model](guides/load_dataset_finetune/)

[Create and Deploy your data app](guides/build_and_deploy_your_model/)

[Adding an interface to the model](guides/live_edit_your_ui/)

<--->
<!-- <p style="letter-spacing: 0.15em;">ARCHITECTURE</p>


[Plugins](component-architectures/plugins/readme/)

[Pod](component-architectures/pod/README/)

[Frontend](component-architectures/frontend/README) -->

<!-- <--->
<!-- <p style="letter-spacing: 0.15em;">COMMUNITY</p>

[Discord](https://discord.com/invite/kRTcDtGUmr)

[Gitlab](https://gitlab.memri.io)

[Twitter](https://twitter.com/YourMemri)

<--->
<!-- {{< /columns >}} --> 


