---
title: 'Inspect your pod with Pod Explorer'
weight: 7
---
{{< toc >}}

The Memri [Pod Explorer](https://gitlab.memri.io/memri/pod-explorer) allows you to inspect the `Items` and how they are conencted by `Edges` in your [pod](https://gitlab.memri.io/memri/pod). The explorer allows you to filter Items, and navigate from one `Item` to adjacent `Items`.

<div class="diagram">
<img src="../../img/pod_explorer.png">
</div>

</br>

## Try it out
The Pod Explorer is hosted at [data.memri.io](https://data.memri.io). 

To log in you will need your pod login and password keys and the pod address.

The default pod address is: `https://dev.pod.memri.io/`. 

If you have a pod running locally, the pod adress is: `http://localhost:3030`.

## Build & Run Pod Explorer
[Node](https://nodejs.org/en/download/) is required to run the Pod Explorer locally.

Build:
```
npm install
npm run test
```

Run:
```
node ./dist/server.js
```
